# Interaction to Next Paint Changes in Chrome 112

## Patched the following issues with the flush timer in Event Timing

### [Issue 1](https://issues.chromium.org/issues/40253245) - Intermittent single tap triggers double interactions

* When tapping on a page with no event handlers, a single tap could sometimes
trigger event timing reports pointerup & click events with different
interactionIDs.

### [Issue 2](https://issues.chromium.org/issues/40890326) - Duplicate reporting of pointerdown events

* Event timing reports the same pointerdown entry twice when the click event is
prevented from a touch input. (eg. registering a touchStart handler that
invokes preventDefault.)

Both issues were patched in this [change](https://chromium-review.googlesource.com/c/chromium/src/+/4209550).

## How does this affect a site's metrics?

INP durations values will not change, however total measured number of
interactions might (rarely) decrease, and this might affect measurement only on
pages with > 50 interactions.

## When were users affected?

Chrome 112 was released the week of April 04, 2023.
